jump to navigation

Installare MADWIFI aprile 28, 2007

Posted by linuxiano in connessione, kernel, Linux, Note su Linux, Ubuntu, wireless.
trackback

Se dopo un aggiornamento o dopo qualche incasinamento vario, la vostra linux-box non vi trova più la vostra scheda wireless, probabilmente il modulo “madwifi” se ne è andato.
Come fare per reinstallarlo?

innanzitutto assicuriamoci di aver installato:
subversion
checkinstall
kernel-headers-(versione del kernel installato)

Se non li avete installati, basta usare apt…

poi creiamo una directory nel quale scaricare i driver:
cd
mkdir madwifi
cd madwifi

Estraiamo l ultima versione dal repo:
svn checkout http://svn.madwifi.org/trunk madwifi-ng

ora compiliamo con:
make

poi una volta finita la compilazione, possiamo decidere se installare con checkinstall oppure con l solito make install.
Prendiamo come esempio il secondo caso, quindi diamo un bel:
make install

Riavviamo; il modulo verrà caricato automaticamente all’inserimento del dispositivo. Comunque, i moduli da inserire in caso di fallimento del caricamento automatico sono: ath_hal, ath_pci, ath_rate_sample, wlan, wlan_scan_sta.

Commenti»

1. miky91 - maggio 22, 2007

Ti ringrazio davvero tanto perché è proprio quello che cercavo
l’ho provata questa sera, ma cosa dovrei fare per sapere se funziona?

2. linuxiano - maggio 23, 2007

dovresti avere la connessione wireless funzionante!😛

3. antonio - aprile 21, 2008

ciao..ho installato il pacchetto madwifi..il tutto senza problemi!!!
riavvio..ma con iwconfig e con ifconfig noto che nn ha creato le “periferiche” ath0 wifi0…ho provato a reinstallarlo..ma fa loo stesso!!!
cosa può essere???
grazie,ciao!!

4. mago - agosto 23, 2008

troppo complicato… neanche so come creare una directory io…

5. alberto - settembre 21, 2008

ho seguito la tua procedura: mi trova al termine, quando faccio make install, mi dice che ci sono i moduli di una versione precedente, consigliando di rimuoverli. Se lo faccio (opzione “r”) mi viene un Permission denied su tutti i moduli listati: es. `/lib/modules/2.6.24-19-generic/madwifi/wlan.ko’: Permission denied
Nella directory tutti i moduli hanno infatti l’estensione .ko
Nei driver HW non ci sono quelli della wireless (scheda Gigabyte GN-WP01GT che a volte funziona, spesso no).
Ho installato anche i restricted 2.6.24-18, non so se possono collidere.
Riesci a darmi una mano? Grazie!

6. A.A.A - gennaio 7, 2009

Quando devo estrarre l’ultima versione dal repo il terminale mi da:
fabio@My-laptop:~$ svn checkout http://svn.madwifi.org/trunk madwifi-ng
svn: URL ‘http://svn.madwifi.org/trunk’ doesn’t exist
fabio@My-laptop:~$

cosa devo fare??

7. di passaggio - settembre 10, 2009

Se tutto va bene la packet injection risulta abilitata. Prova ad eseguire il make install da root, così hai i permessi su tutti i file.


Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: